Sign in to follow this  
Followers 0
traktorbek

Попытки переноса постпроцессора с NX10 в NX12

Pinned posts

ID: 1   Posted

Добрый вечер, уважаемые коллеги!

Ситуация следующая, на предприятии не было лицензии, в связи с чем приходилось использовать на тот момент актуальную версию NX10. Сейчас приобретена лицензия на NX12, но вот незадача, тот пост, который прекрасно работал раньше, отказывается функционировать в новой программе. Пост вместе с 3д моделью станка. Раньше добавлялся в NX как станок, а не отдельно постом.

 

При попытки вызвать станок в 12 версии получаю ошибку, скриншот которой прикреплён к посту.

Отдельно пост выбрать в окне постпроцессирования также не возможно, т.к. отсутствует .pui файл.

 

На предыдущем месте работы таких проблем не возникало, таскали пост с версии 7,5 до 11 без каких либо проблем.

 

Как то возможно решить сию проблему?

qXIPFU030vE.jpg

Share this post


Link to post
Share on other sites


UnPinned posts

ID: 3   Posted

1 час назад, IgP сказал:

Так, наверняка можно, работают же другие ...
Значит изучить надо. Начать хотя бы с этого:
https://docs.plm.automation.siemens.com/tdoc/nx/12.0.2/nx_help#uid:index_whatsnew

 

С информацией ознакомлен был. Использовал рекомендованное в документации предложение по установки ПП через программу "Генератор постпроцессора", даже в списке всё появилось, однако выдаёт ошибки при постпроцессировании.

 

ошибка пост.png

Share this post


Link to post
Share on other sites

ID: 4   Posted

А точная версия NX c MP ? ( уже МР10 вышел ...)

Share this post


Link to post
Share on other sites

ID: 5   Posted

1 час назад, IgP сказал:

А точная версия NX c MP ? ( уже МР10 вышел ...)

NX 12.0.0.27

Share this post


Link to post
Share on other sites

ID: 6   Posted

53 минуты назад, traktorbek сказал:

NX 12.0.0.27

Дык ... это ж ... там почти ничего толком и не работает.
99,999... % - причина вашей ошибки в этом ....
Сейчас надо минимум от NX12.0.2 MP04

Share this post


Link to post
Share on other sites

ID: 7   Posted

Бекзат? 

Share this post


Link to post
Share on other sites

ID: 8   Posted

9 часов назад, IgP сказал:

Дык ... это ж ... там почти ничего толком и не работает.
99,999... % - причина вашей ошибки в этом ....
Сейчас надо минимум от NX12.0.2 MP04

Накатил 12.0.2.9 МР10. Теперь при появлении окна "Информация", в котором раньше вылетала ошибка, происходит краш программы, просто закрывается NX. Никаких сообщений об ошибке...

 

4 часа назад, NULL_TAG сказал:

Бекзат? 

не понял вас

Share this post


Link to post
Share on other sites

ID: 9   Posted

8 часов назад, traktorbek сказал:

Накатил 12.0.2.9 МР10. Теперь при появлении окна "Информация", в котором раньше вылетала ошибка, происходит краш программы, просто закрывается NX. Никаких сообщений об ошибке...

Смотрите лог-файл в TEMP каталоге ...

Share this post


Link to post
Share on other sites

На виртуалку поставил NX10. Без каких либо проблем эти же файлы прицепились, загрузилась модель и прога отпостилась...

ошибка пост2.png

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.